Name:		yoshimi
Version:	2.2.2
Release:	%mkrel 1
Summary:	MIDI software synthesizer
License:	GPLv2+
Group:		Sound
URL:		http://yoshimi.sourceforge.net/
Source0:	https://github.com/Yoshimi/yoshimi/archive/%{version}/%{name}-%{version}.tar.xz
Patch1:		yoshimi-1.4.0.1-fix-permissions.patch
Patch2:		yoshimi-cflags.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	fltk-fluid
BuildRequires:	lib64fltk-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lv2)
BuildRequires:	pkgconfig(sm)
BuildRequires:	lib64mxml-devel

%description
Yoshimi is a rewrite of ZynAddSubFx to improve its compatibility with
the Jack Audio Connection Kit.

Yoshimi is an open source software synthesizer capable of making a
countless number of instrument sounds. It is microtonal, and the instruments
made by it sounds like those from professional keyboards. The program has
effects like Reverb, Echo, Chorus, Phaser...

%prep
%setup -q
%apply_patches

%build
pushd src
%cmake \
	-DCMAKE_INSTALL_DATAROOTDIR=%{_datadir}
%make_build
popd

%install
%make_install -C src/build


sd "Music;Midi;AudioVideo;X-Sound;Audio;" "X-MandrivaLinux-Multimedia-Sound;" %buildroot/%{_datadir}/applications/%{name}.desktop

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}*.svg
%{_libdir}/lv2/yoshimi.lv2/
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Sep 11 2022 tex - 2.2.2-1pclos2022
- new version

* Fri Apr 23 2021 tex - 2.0.1-1pclos2021
- new version

* Wed Nov 11 2020 tex - 1.7.3-1pclos2020
- new version

* Tue Aug 18 2020 tex - 1.7.2-1pclos2020
- new version

* Fri Jan 24 2020 tex - 1.7.0-1pclos2020
- new version

* Thu Dec 26 2019 tex - 1.6.1-1pclos2020
- new version

* Mon Sep 09 2019 tex - 1.6.0.1-1pclos2019
- new version

* Mon Sep 02 2019 tex 1.6.0-1pclos2019
- new
